IBM Support

PK67415: SECJ0314W: CURRENT JAVA 2 SECURITY POLICY REPORTED A POTENTIAL VIOLATION OF JAVA 2 SECURITY PERMISSION

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • SECJ0314W: Current Java 2 Security policy reported a potential
    violation of Java 2 Security Permission.
    
    Permission:
          getClassLoader : Access denied
    (java.lang.RuntimePermission getClassLoader)
    
    Stack Trace:
    
    java.security.AccessControlException: Access denied
    (java.lang.RuntimePermission getClassLoader)
    
    at java.security.AccessController.checkPermission
    (AccessController.java:108)
     at java.lang.SecurityManager.checkPermission
    (SecurityManager.java:548)
     at com.ibm.ws.security.core.SecurityManager.checkPermission
    (SecurityManager.java:212)
    at java.lang.Thread.getContextClassLoader (Thread.java:497)
    at org.eclipse.emf.ecore.impl.EPackageRegistryImpl$
    Delegator.delegateRegistry (EPackageRegistryImpl.java:240)
     at org.eclipse.emf.ecore.impl.EPackageRegistryImpl$
    Delegator.getEPackage (EPackageRegistryImpl.java:245)
     at org.eclipse.emf.ecore.util.EcoreUtil.resolve
    (EcoreUtil.java:206)
     at org.eclipse.emf.ecore.util.EcoreUtil.resolve
    (EcoreUtil.java:257
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  All users of IBM WebSphere Application      *
    *                  Server V6.1 with Java Security enabled      *
    ****************************************************************
    * PROBLEM DESCRIPTION: java.security.AccessControlException:   *
    *                      Access denied                           *
    *                      (java.lang.RuntimePermission            *
    *                      getClassLoader) occurs.                 *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    With Java security enabled, the application does not have the
    necessary privilege to access the classloader. This apar is
    used to include the Eclipse Modeling Framework (EMF) Bugzilla
    fix 214267 which was opened to address this problem.
    

Problem conclusion

  • EMF class EPackageRegistryImpl has been changed to switch
    execution to privileged state when security is enabled.
    
    The fix for this APAR is currently targeted for inclusion in
    fix pack 6.1.0.19.  Please refer to the Recommended Updates
    page for delivery information:
    http://www.ibm.com/support/docview.wss?rs=180&uid=swg27004980
    

Temporary fix

Comments

APAR Information

  • APAR number

    PK67415

  • Reported component name

    WEBSPH APP SERV

  • Reported component ID

    5724J0800

  • Reported release

    61W

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2008-06-10

  • Closed date

    2008-07-24

  • Last modified date

    2008-08-25

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WEBSPH APP SERV

  • Fixed component ID

    5724J0800

Applicable component levels

  • R61A PSY

       UP

  • R61H PSY

       UP

  • R61I PSY

       UP

  • R61P PSY

       UP

  • R61S PSY

       UP

  • R61W PSY

       UP

  • R61Z PSY

       UP

[{"Business Unit":{"code":"BU048","label":"IBM Software"},"Product":{"code":"SSCVS22","label":"General"},"Component":"","ARM Category":[],"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"6.1","Edition":"","Line of Business":{"code":"","label":""}}]

Document Information

Modified date:
25 August 2008